# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libSDL_mixer-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          yourik
Version:       2.1.2
Release:       alt1_8
Summary:       The animal rights themed arcade shooter
Group:         Games/Arcade
License:       Public Domain
URL:           https://github.com/psemiletov/yourik-qt5
Source0:       https://github.com/psemiletov/yourik-qt5/archive/%{version}/%{name}-qt5-%{version}.tar.gz

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5OpenGL)
BuildRequires: pkgconfig(sdl2)
BuildRequires: pkgconfig(SDL2_mixer)
Source44: import.info

%description
Yourik The Intergalactic Rabbit is the animal
rights-themed arcade game. Fight your way from the
 vivisection laboratory and save the animals. 
You are the genetically modified rabbit, Yourik,
the Intergalactic One.

%prep
%setup -q -n %{name}-qt5-%{version}

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%makeinstall_std INSTALL_ROOT=%{buildroot} 

%files
%{_bindir}/yourik
%{_datadir}/applications/yourik.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/64x64/apps/yourik.png



%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 2.1.2-alt1_8
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 2.1.2-alt1_7
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 2.1.2-alt1_6
- update by mgaimport

* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 2.1.2-alt1_5
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.1.2-alt1_4
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 2.1.2-alt1_3
- new version

